
Foreman - Refactor #18350

Refactor Puppet Hostgroup fields to Pagelets

02/01/2017 12:51 PM - Shimon Shtein

Status: New   

Priority: Normal   

Assignee:    

Category: Puppet integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Now that the pagelets were accepted for host edit form, it's about time to make the same change for hostgroups form too.

As a bonus, it's possible to move puppet classes and fields to be the first consumer of the framework.

Related issues:

Related to Foreman - Feature #21658: Pagelets - add tab extension point for h... Closed 11/05/2017

Related to Foreman - Refactor #9599: Remove Puppet specific fields from Host/... New 03/01/2015

History

#1 - 11/15/2017 01:09 PM - Timo Goebel

- Related to Feature #21658: Pagelets - add tab extension point for hostgroup edit page added

#2 - 11/15/2017 01:10 PM - Timo Goebel

- Subject changed from Add pagelets support for hostgroup form. to Refactor Puppet Hostgroup fields to Pagelets

- Category changed from Host groups to Puppet integration

#21658 adds support for Pagelets in the hostgroup form. We can use this ticket to move the puppet related fields.

#3 - 11/15/2017 01:48 PM - Timo Goebel

- Related to Refactor #9599: Remove Puppet specific fields from Host/Host group added

Powered by TCPDF (www.tcpdf.org)

05/20/2024 1/1

https://projects.theforeman.org/issues/21658
http://www.tcpdf.org

